
#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

#include "PerlGtkExt.h"
#include "PerlGnomeBonoboInt.h"

#include "GnomeBonoboDefs.h"

MODULE = Gnome::Object		PACKAGE = Gnome::Object		PREFIX = gnome_object_

#ifdef GNOME_OBJECT

Gnome::Object
gnome_object_construct (object, corba_object)
	Gnome::Object	object
	CORBA::Object	corba_object

Gnome::Object
gnome_object_new_from_servant (Class, servant)
	SV *	Class
	PortableServer::ServantBase	servant
	CODE:
	RETVAL = GNOME_OBJECT(gnome_object_new_from_servant(servant));
	OUTPUT:
	RETVAL

Gnome::Object
gnome_object_from_servant (Class, servant)
	SV *	Class
	PortableServer::ServantBase	servant
	CODE:
	RETVAL = GNOME_OBJECT(gnome_object_from_servant(servant));
	OUTPUT:
	RETVAL

void
gnome_object_bind_to_servant (object, servant)
	Gnome::Object	object
	PortableServer::ServantBase	servant

PortableServer::ServantBase
gnome_object_get_servant (object)
	Gnome::Object	object

CORBA::Object
gnome_object_activate_servant (object, servant)
	Gnome::Object	object
	PortableServer::ServantBase	servant

void
gnome_object_add_interface (object, newobj)
	Gnome::Object	object
	Gnome::Object	newobj

CORBA::Object
gnome_object_query_interface (object, repo_id)
	Gnome::Object	object
	char *	repo_id

CORBA::Object
gnome_object_corba_objref (object)
	Gnome::Object	object

void
gnome_object_ref (object)
	Gnome::Object	object

void
gnome_object_unref (object)
	Gnome::Object	object

void
gnome_object_destroy (object)
	Gnome::Object	object

# missing: gnome_object_check_env()

gboolean
unknown_ping(Class, object)
	SV *	Class
	CORBA::Object	object
	CODE:
	RETVAL = gnome_unknown_ping(object);
	OUTPUT:
	RETVAL

#endif

